import 'package:krow_core/core.dart'; // For UseCase
import 'package:krow_domain/krow_domain.dart';
import '../repositories/bank_account_repository.dart';

/// Use case to fetch bank accounts.
class GetBankAccountsUseCase implements NoInputUseCase<List<BankAccount>> {
  final BankAccountRepository _repository;

  GetBankAccountsUseCase(this._repository);

  @override
  Future<List<BankAccount>> call() {
    return _repository.getAccounts();
  }
}
